--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Set fields of records to updated values. Returns number of records updated.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*recs*:"
    body: Array of records (Structs) that will be updated.
  - !ruby/struct:SM::Flow::LI 
    label: "*data*:"
    body: Hash, Struct, Proc containing updates.
  type: :NOTE
full_name: KirbyBase::KBTable#set
is_singleton: false
name: set
params: (recs, data)
visibility: public
